Bug 202597 - Clean up: Remove pre-macOS Sierra workaround for missing kVK_RightCommand
Summary: Clean up: Remove pre-macOS Sierra workaround for missing kVK_RightCommand
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Local Build
Hardware: Macintosh All
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-10-04 13:00 PDT by Daniel Bates
Modified: 2019-10-09 10:25 PDT (History)
2 users (show)

See Also:


Attachments
Patch (1.49 KB, patch)
2019-10-04 13:04 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2019-10-04 13:00:14 PDT
Since macOS High Sierra kVK_RightCommand has been HIToolbox/Events.h. It wasn't defined in the macOS Sierra days. We don't build for macOS Sierra any longer and can remove the workaround.
Comment 1 Daniel Bates 2019-10-04 13:03:28 PDT
Actually this constant has been around since macOS Sierra – as the comment in the code stated.
Comment 2 Daniel Bates 2019-10-04 13:04:20 PDT
Created attachment 380238 [details]
Patch
Comment 3 Daniel Bates 2019-10-05 11:13:11 PDT
Thanks Anders
Comment 4 Daniel Bates 2019-10-09 10:24:07 PDT
Comment on attachment 380238 [details]
Patch

Clearing flags on attachment: 380238

Committed r250915: <https://trac.webkit.org/changeset/250915>
Comment 5 Daniel Bates 2019-10-09 10:24:09 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2019-10-09 10:25:16 PDT
<rdar://problem/56120950>